package classUtils.pack;

import classUtils.pack.util.ant.Pack;
import classUtils.putils.ClassPathUtils;
import futils.Futil;
import gui.In;

/**
 * Copyright DocJava, inc. User: lyon
 * <p/>
 * Date: Jan 2, 2005
 * <p/>
 * Time: 11:28:50 AM
 */
public class PackUtils {
    public static void main(String[] args) {
        pack();
    }

    private static void pack() {
        do {

            try {

                Class c = ClassPathUtils.getClass(
                        Futil.getReadFile("select a class file"));
                pack(c);
            } catch (Exception e) {
                In.message(e);

            }
        } while (In.getBoolean("go again?"));
    }

    public static void packTask() throws Exception {
        pack(math.benchmarks.Dhry.class);
        pack(addBk.addressBook.Main.class);
       // pack(DependencyUtils.class);
        pack(ip.Main.class);
    }

    public static void pack(Class c) throws Exception {
        String name = c.getName();
        pack(name, name + ".jar");
    }

    public static void pack(String mainClass,
                            String targetJar) throws Exception {
        Pack p = new Pack();
        p.setManifestMainClass(mainClass);
        p.setClasses(mainClass);
        p.setTargetJar(targetJar);
        //p.printDependencies();
        p.packIt();
        System.out.println("done with:" + targetJar);
    }
}
